{
  "type": "object",
  "properties": {
    "version": {"type": "string", "enum": ["1.1.0"]},
    "tables": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {"type": "string"},
          "name": {"type": "string"},
          "filter": {"type": "boolean"},
          "hidden": {"type": "boolean"},
          "tab_name": {"type": "string"},
          "description": {"type": "string"},
          "columns": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "field": {"type": "string"},
                "title": {"type": "string"},
                "sortable": {"type": "boolean"},
                "selectable": {"type": "boolean"}
              },
              "required": ["field", "title"]
            },
            "minItems": 1
          },
          "rows": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "uid": {"type": "string", "pattern": "row\\d+"}
              },
              "patternProperties": {
                "column\\d+": {"type": "string"}
              },
              "minProperties": 2,
              "required": ["uid"]
            },
            "minItems": 1
          }
        },
        "required": ["id", "name", "columns", "rows"]
      },
      "minItems": 1
    }
  },
  "required": ["version", "tables"]
}